Package org.apache.storm.executor

## Class TupleInfo

- java.lang.Object
- - org.apache.storm.executor.TupleInfo

- All Implemented Interfaces:
    `Serializable`

      public class TupleInfo
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TupleInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `Object` | `getMessageId()` |
    `long` | `getRootId()` |
    `String` | `getStream()` |
    `int` | `getTaskId()` |
    `long` | `getTimestamp()` |
    `List<Object>` | `getValues()` |
    `void` | `setMessageId​(Object messageId)` |
    `void` | `setRootId​(long rootId)` |
    `void` | `setStream​(String stream)` |
    `void` | `setTaskId​(int taskId)` |
    `void` | `setTimestamp​(long timestamp)` |
    `void` | `setValues​(List<Object> values)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleInfo

          public TupleInfo()

  - ### Method Detail

    - #### getMessageId

          public Object getMessageId()

    - #### setMessageId

          public void setMessageId​(Object messageId)

    - #### getTimestamp

          public long getTimestamp()

    - #### setTimestamp

          public void setTimestamp​(long timestamp)

    - #### getStream

          public String getStream()

    - #### setStream

          public void setStream​(String stream)

    - #### getValues

          public List<Object> getValues()

    - #### setValues

          public void setValues​(List<Object> values)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getRootId

          public long getRootId()

    - #### setRootId

          public void setRootId​(long rootId)

    - #### getTaskId

          public int getTaskId()

    - #### setTaskId

          public void setTaskId​(int taskId)

    - #### clear

          public void clear()